Skip to main content
GET
/
time-off-types
/
{id}
Get a time off type
curl --request GET \
  --url https://www.ruddr.io/api/workspace/time-off-types/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "7c3a1d82-4f9e-4b6c-a2d5-1e8f03c947b6",
  "name": "Vacation",
  "isActive": true,
  "isPaid": true,
  "createdAt": "2025-03-12T14:22:37.891Z"
}
A category of time off that members can log, such as vacation or sick leave.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The time off type uuid

Response

200

id
string

The unique identifier for the object.

name
string

The name of the time off type.

isActive
boolean

Whether the time off type is active.

isPaid
boolean

Whether time off of this type is paid.

createdAt
string<date-time>

The timestamp when the object was created.